--- old/usr/src/cmd/grpck/grpck.c	Mon Mar 25 12:53:25 2013
+++ new/usr/src/cmd/grpck/grpck.c	Mon Mar 25 12:53:25 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 /*	  All Rights Reserved  	*/
 
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/types.h>
 #include <unistd.h>
@@ -55,6 +55,12 @@
 #define	BLANKLINE "Blank line detected. Please remove line"
 #define	LONGNAME  "Group name too long"
 
+#ifdef	LOGNAME_MAX_ILLUMOS
+#define	_LOGNAME_MAX	LOGNAME_MAX_ILLUMOS
+#else /* LOGNAME_MAX_ILLUMOS */
+#define	_LOGNAME_MAX	LOGNAME_MAX
+#endif /* LOGNAME_MAX_ILLUMOS */
+
 int eflag, badchar, baddigit, badlognam, colons, len;
 static int longnam = 0;
 int code;
@@ -128,7 +134,7 @@
 
 	if ((fptr = fopen(argv[1], "r")) == NULL) {
 		fprintf(stderr, gettext("cannot open file %s: %s\n"), argv[1],
-			strerror(errno));
+		    strerror(errno));
 		exit(1);
 	}
 
@@ -143,7 +149,7 @@
 			t->groups = NULL;
 		else {
 			t->groups = (struct group *)
-				emalloc(sizeof (struct group));
+			    emalloc(sizeof (struct group));
 			t->groups->grp = pwp->pw_gid;
 			t->groups->cnt = 1;
 			t->groups->nxt = NULL;
@@ -185,7 +191,7 @@
 			code = 1;		/* exit with error code = 1 */
 			eflag = 0;	/* force print of "blank" line */
 			fprintf(stderr, "\n%s %d\n", gettext(BLANKLINE),
-				lineno);
+			    lineno);
 			continue;
 		}
 
@@ -247,7 +253,7 @@
 			error(NONAME);
 		else {
 			for (i = 0; buf[i] != ':'; i++) {
-				if (i >= LOGNAME_MAX)
+				if (i >= _LOGNAME_MAX)
 					longnam++;
 				if (!(islower(buf[i]) || isdigit(buf[i])))
 					badchar++;
@@ -316,7 +322,7 @@
 
 				/* Usrname found, so add entry to user-list */
 				t = (struct node *)
-					emalloc(sizeof (*t) + strlen(nptr));
+				    emalloc(sizeof (*t) + strlen(nptr));
 				t->next = root;
 				root = t;
 				strcpy(t->user, nptr);
@@ -325,7 +331,7 @@
 					t->groups = NULL;
 				else {
 					t->groups = (struct group *)
-						emalloc(sizeof (struct group));
+					    emalloc(sizeof (struct group));
 					t->groups->grp = pwp->pw_gid;
 					t->groups->cnt = 1;
 					t->groups->nxt = NULL;
@@ -374,7 +380,7 @@
 		for (t = root; t != NULL; t = t->next) {
 			if (t->ngroups > ngroups_max) {
 				fprintf(stderr, "\n\n%s%s (%d)\n",
-				NGROUPS, t->user, t->ngroups);
+				    NGROUPS, t->user, t->ngroups);
 				code = 1;
 			}
 		}
